Referred signups

GET https://digily.link/api/referrals-users/
curl --request GET \
--url 'https://digily.link/api/referrals-users/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
referred_by_has_converted Tùy chọn Số nguyên Giá trị được phép: 0, 1
datetime_field Tùy chọn Chuỗi Giá trị được phép: datetime
datetime_start Tùy chọn Chuỗi Lọc kết quả bắt đầu từ ngày giờ này. Định dạng Y-m-d H:i:s.
datetime_end Tùy chọn Chuỗi Lọc kết quả đến thời điểm này. Định dạng Y-m-d H:i:s.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả theo. Các giá trị được cho phép là: datetime, referred_by_has_converted.
order_type Tùy chọn Chuỗi Thứ tự của các kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
page Tùy chọn Số nguyên Số trang mà bạn muốn lấy kết quả từ đó. Mặc định là 1.
results_per_page Tùy chọn Số nguyên Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị được phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25.
{
    "data": [
        {
            "referral_code": "ref_a1b2c3",
            "status": "converted",
            "is_converted": true,
            "payment_types": [
                "one_time",
                "recurring"
            ],
            "commission_statuses": [
                "pending",
                "approved"
            ],
            "total_affiliate_commissions": 2,
            "total_affiliate_commissions_amount": 12.5,
            "pending_affiliate_commissions": 1,
            "approved_affiliate_commissions": 1,
            "withdrawn_affiliate_commissions": 0,
            "latest_affiliate_commission_datetime": "2026-09-25 23:30:33",
            "currency": "GBP",
            "datetime": "2026-09-25 23:30:33"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/referrals-users?page=1",
        "last": "https://digily.link/api/referrals-users?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/referrals-users?page=1"
    }
}